import type { ECharts, EChartsOption } from 'echarts';
import type { EChartsInitOpts } from './eChartsTypes';
export declare abstract class EChartsBaseChart {
    protected chart: ECharts;
    constructor(element: HTMLElement | null, option: EChartsOption, initOptions: EChartsInitOpts, theme?: string);
    protected abstract init(element: HTMLElement | null, initOptions: EChartsInitOpts, theme?: string): ECharts;
}
